Intrusion Prevention

Nagios.XI.Deploy.Dashboards.Stored.XSS

Description

This indicates an attack attempt to exploit a Cross-Site Scripting Vulnerability in Nagios Enterprises Nagios XI.
The vulnerability is due to insufficient validation of user inputs when processing requests for Deploy Dashboards feature. A remote authenticated attacker can exploit this vulnerability by sending crafted request to the server. Successful exploitation could result in arbitrary script code execution on the client's browser.

Affected Products

Nagios Enterprises Nagios XI prior to 5.7.5

Impact

System Compromise: Remote attackers can execute arbitrary script code in the context of the affected application.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.nagios.com/downloads/nagios-xi/change-log/

CVE References

CVE-2020-27989